Download it now!
Bug 31730 - Dragging numbers to create a series doesnt' works properly
Summary: Dragging numbers to create a series doesnt' works properly
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-18 07:11 UTC by gypsymauro
Modified: 2020-10-26 22:18 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gypsymauro 2010-11-18 07:11:33 UTC
Open Calc
type 1 <enter> 2 <enter>  1 <enter> 2 <enter>

select all the four cells and then clicking on the corner to create a serie
drag the mouse, I was expecting a series of 1,2,1,2 instead it creates:

2
3
2
3
3
4
3


on gnumeric it works perfectly
Comment 1 Jeffrey 2011-06-14 00:38:13 UTC
I managed to reproduce this situation on LibreOffice 3.4  340m1 on OpenSuse. Also, I can confirm that the series is repeated rather than progressing in Gnumeric 1.10.12.

It seems that LibreOffice Calc's problem is that when it cannot discern a patter among the numbers highlighted, it decides to increment each element in the row as you drag the box down. For example, I tried 1,3,5, and obvious arithmetic progression and Calc responded properly with 7,9 etc. However, when I did 1,1,1,2,1, there is no obvious pattern in the series, so Calc prints 2,2,2,3,2.

I do not know if this is a bug though, because with gypsy's case, if he or she only intends on repeating the series, then copy and paste would be just as viable a solution. If there is no obvious pattern in the series, so far that Calc cannot tell, then there would be no need to carry out the drag box.

My opinion is that this is a matter of preference for the two softwares: Calc prefers to increment when there is no clear pattern, and Gnumeric repeats when there is no pattern. It would be appreciated if both can recognize more patterns, however, such as geometric progressions, which when I tested on both, both seemed not to be able to recognize.
Comment 2 Björn Michaelsen 2011-12-23 11:35:00 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 Florian Reisinger 2012-08-14 14:00:18 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 4 Florian Reisinger 2012-08-14 14:01:26 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:06:09 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:08:11 UTC Comment hidden (obsolete)
Comment 7 gypsymauro 2012-08-16 06:37:46 UTC
uh? what kind of info do you need? just try it...
I don't think is a good idea to close bugs just 'cause they are old :)
Comment 8 Rainer Bielefeld Retired 2012-08-16 08:00:31 UTC
Easy to find out: it's a Spreadsheet problem
Modified version due to test result that I already see current behavior in OOo 1.1.5

Currently I can't see any bug, I agree with Jeffrey's analysis. LibO simply does a little different.

Without new arguments I will close this bug after 10 days as WONTFIX

@gypsymauro:
> ... what kind of info do you need ...

for example the one I added? And the one I still have to ask for, may be hints on <http://wiki.documentfoundation.org/BugReport> will help you to find out what information will be useful to reproduce your problem?

Please
- add information
  -- what EXACTLY you expect (general rule, not for your example)
  -- and WHY do you believe it's unexpected (cite Help or Documentation!)
Comment 9 bfoman (inactive) 2013-05-21 09:47:25 UTC
It would be appreciated if software would like to add numbers in series as YOU need, but the problem is that it is just... software. Excel 2010 uses different logic also.
Therefore I will mark this as RESOLVED WONTFIX (per Rainer intent in comment 8) as this is more per user and case by case issue.
Comment 10 b. 2020-01-06 04:37:44 UTC
just digging through old bugs, 

and just playing around, 

there are (at least) two 'modi' for dragfill as of now: 

'normal' - calc increments numerical values in 'repeated series', 

'compatible?' - holding down <ctrl> (<strg>) while dragging - calc acts as other programs and simply repeats 'repeated series', 

accordingly this bug is either fixed, or 'worksforme', i will correct the entry if nobody contradicts, 

haven't seen yet who implemented and when, 

tested with: 

Version: 6.4.0.1 (x64)
Build ID: 1b6477b31f0334bd8620a96f0aeeb449b587be9f
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: